<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
    <meta meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
    <link href="https://fonts.googleapis.com/css2?family=Exo+2&family=Hanuman&family=Raleway:wght@600&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.1/font/bootstrap-icons.css">
    <link rel="stylesheet" href="style.css">
    <style>
        .contact .content
        {
            max-width: 800px;
            text-align: center;
        }
        .contact .content h2
        {
            font-size: 36px;
            font-weight: 500;
            color: black;
        }
        .contact .content p
        {
            font-weight: 300;
            color: black;

        }
        .contactInfo
        {
            display: flex;
            flex-direction: column;
        }
        .contactInfo .box
        {
            position: relative;
        }
        .contactInfo .box .text
        {
            display: flex;
            margin-left: 20px;
            font-size: 16px;
            color: black;
            flex-direction: column;
        }
        .contactInfo .box .text h3
        {
            font-weight: 500;
            color: #00bcd4;
        }
        .contactform
        {
            width: 100%;
            background: #fff;
        }
        .contactform h2
        {
            font-size: 30px;
            color: #333;
            font-weight: 500px;

        }
        .contactform .inputBox
        {
            position: relative;
            width: 100%;
            margin-top: 10px;
        }
        .contactform .inputBox input,
        .contactform .inputBox textarea
        {
            width: 100%;
            padding: 5px 0;
            font-size: 16px;
            margin: 10px 0;
            border: none;
            border-bottom: 2px solid #333;
            outline: none;
            resize: none;
        }
        .contactform .inputBox span
        {
            position: absolute;
            left: 0;
            padding: 5px 0;
            font-size: 16px;
            margin: 10px 0;
            pointer-events: none;
            transition: 0.5s;
            color: #666;
        }
        .contactform .inputBox input:focus ~ span,
        .contactform .inputBox input:valid ~ span,
        .contactform .inputBox textarea:focus ~ span,
        .contactform .inputBox textarea:valid ~ span
        {
            color: #e91e63;
            font-size: 12px;
            transform: translateY(-15px);
        }
        .contactform .inputBox input[type="submit"]
        {
            width: 100px;
            background: #00bcd4;
            color: #fff;
            border: none;
            cursor: pointer;
            padding: 10px;
            font-size: 18px;
        }
        @media (max-width: 991px)
        {
            .contact
            {
                padding: 50px;
            }
            .container
            {
                flex-direction: column;
            }
            .container.contactInfo
            {
                margin-bottom: 40px;
            }
            .container .contactInfo,
            .contactform
            {
                width: 100%;
            }
        }
        @media (max-width: 575px) {
            .contact{
                padding: 0px;
            }
            .mobile-screen-fix{
                padding: 0px !important;
            }
            .mobile-input{ 
                margin-bottom: 100px !important;
                padding: 0px 13px !important;
            }
            .back-mobile-screen{
                background: none !important;
                box-shadow: none !important;
                padding-top: 0px !important;
                padding-bottom: 0px !important;
            }
            .back-mobile-screen .col-6{
                padding: 15px !important;
                background-color: white !important;
                margin-bottom: 20px;
                box-shadow: 0 .125rem .25rem rgba(0,0,0,.075)!important;
                border-radius: 4px;
            }
            .map-screen{
                display: none;
            }
            .mobile-map{
                display: block !important;
                
            }
            .text{
                margin-top: 10px !important;
            }
        }
        .text{
            margin-left: 0px !important;
        }
        .mobile-screen-fix{
            margin-top: 39px;
            border-left: 1px solid rgb(206, 197, 197);
        }
        .back-mobile-screen{
            background-color: white;
            margin-top: 39px;
            box-shadow: 0 .125rem .25rem rgba(0,0,0,.075);
        }
        .map-screen{
            margin-top: 39px;
        }
        .mobile-map{
            display: none;
            margin: 20px 0px;
        }
    </style>
</head>
<body>
    
    <div id="search-dark" class="p-3" style="display: flex;">
            <input type="text" placeholder="Search Somthing..." class="p-3 form-control" >
            <button class="btn-search rounded"><i class="bi bi-search d-block"></i></button>
    </div>

    <section class="mobile-map">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="rounded">
                        <iframe class="shadow-sm" src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3908.7705869883966!2d104.88811507609896!3d11.568297144086598!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x3109519fe4077d69%3A0x20138e822e434660!2sRUPP%20(Royal%20University%20of%20Phnom%20Penh)!5e0!3m2!1sen!2skh!4v1697966255730!5m2!1sen!2skh" width="100%" height="200px" style="border:0;" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>
                    </div>
                </div>
            </div>
        </div>
    </section>


    <section>
           <div class="container">
                <div class="row back-mobile-screen " style="padding: 20px 10px; ">
                    <div class="col-6 p-0 px-3">
                        <section class="contact">
                            <div class="contactInfo">
                            <div class="box">
                                <div>
                                    <div class="text">
                                        <h2 style="font-size: 32px;">Contact Us</h2>
                                        <p>All in store / Services devlivery to 25 cities and provinces</p>
                                    </div>
                                    <div class="text" style="margin-top: 50px;">
                                        <h3><i class="fas fa-map-marker-alt"></i>   Address</h3>
                                        <p>RUPP (Royal University of Phnom Penh), សាលប្រជុំសាកលវិទ្យាល័យភូមិន្ទភ្នំពេញ, Russian Federation Blvd (110), Phnom Penh</p>
                                    </div>
                                    <div class="box">
                                        <div class="text">
                                            <h3><i class="fas fa-phone"></i></t> Phone</h3>
                                            <p>+855 10878206</p>
                                    </div>
                                    <div class="box">
                                        <div class="text">
                                            <h3><i class="fas fa-envelope"></i>     Emil</h3>
                                            <p>onicstore@gmail.com</p>
                                        </div>
                                    </div>
                                </div>
                                
                        
                        </section>
                    </div>
                    <div class="col-6 p-0 mobile-input px-5">
                        <div class="contactform">
                            <h2>Send Massage</h2>
                            <div class="inputBox" style="margin-top: 50px;">
                                <input id="fullname" type="text" name="" required="required">
                                <span>Full Name</span>
                            </div>
                            <div class="inputBox">
                                <input id="number" type="text" name="" required="required">
                                <span >Phone</span>
                            </div>
                            <div class="inputBox">
                                <textarea id="text" required="required"></textarea>
                                <span>Type your massage...</span>
                            </div>
                            <div class="inputBox">
                                <button id="send-telegram" class="border shadow-sm p-2 px-4 mt-3" style="border-radius: 5px; background-color: #222734; color: white;">Send &nbsp; <i class="bi bi-send"></i></button>
                            </div>
                    </div>
                    </div>
                </div>
           </div>
    </section>

    <section class="map-screen">
        <div class="container">
            <div class="row">
                <div class="col-12 p-0">
                    <iframe class="shadow" src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3908.7705869883966!2d104.88811507609896!3d11.568297144086598!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x3109519fe4077d69%3A0x20138e822e434660!2sRUPP%20(Royal%20University%20of%20Phnom%20Penh)!5e0!3m2!1sen!2skh!4v1697966255730!5m2!1sen!2skh" width="100%" height="450" style="border:0;" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>

                </div>
            </div>
        </div>
    </section>


    <footer>

        <div class="big-screen-footer">
            <div class="container" style="margin-top: 80px; padding: 40px 0px;">
                <div class="row big-screen-footer">
                    <div class="col-4 col-4-2">
                        <h3>Onic Techonology</h3>
                        <ul class="mt-4">
                            <li>
                                <a href="#"><i class="bi bi-telephone"></i> &nbsp;+855 10878206</a>
                            </li>
                            <li>
                                <a href="#"><i class="bi bi-map"></i>  &nbsp;Royal University Of Phnom Penh</a>
                            </li>
                        </ul>
                        
                    </div>
                    <div class="col-4 col-4-2">
                        <h3>Menu</h3>
                        <ul class="mt-4">
                            <li>
                                <a href=""><i class="bi bi-chevron-right"></i> &nbsp;Categories</a>
                            </li>
                            <li>
                                <a href=""><i class="bi bi-chevron-right"></i> &nbsp;Products</a>
                            </li>
                            <li>
                                <a href=""><i class="bi bi-chevron-right"></i> &nbsp;CONTACT US</a>
                            </li>
                        </ul>
                    </div>
                    <div class="col-4 col-4-2">
                        <h3>Social Media</h3>
                        <ul class="mt-4">
                            <li>
                                <a href=""><i class="bi bi-facebook"></i> &nbsp;Facebook</a>
                            </li>
                            <li>
                                <a href=""><i class="bi bi-telegram"></i> &nbsp;Telegram</a>
                            </li>
                            <li>
                                <a href=""><i class="bi bi-instagram"></i> &nbsp;Instagram</a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <div style="background-color: black; text-align: center;" class="p-3 big-screen-footer">
            @Onic 2023 | All right reverse
        </div>
    </footer>



</body>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
<script type="text/javascript" src="//cdn.jsdelivr.net/npm/slick-carousel@1.8.1/slick/slick.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
<script src="script.js"></script>
<script>
    const token = '6725415529:AAH3nYiY8BOcfRXLSeTk62O1LFGjFFoEtEw';
    const chatId = '102993466';

    $(document).ready(function () {
        $("#send-telegram").on('click', function (event) {
            execute();
        });

        function execute() {
            const currentDate = new Date();

            // Get the day, month, and year
            const day = String(currentDate.getDate()).padStart(2, '0'); // Get day with leading zero if needed
            const month = String(currentDate.getMonth() + 1).padStart(2, '0'); // Get month with leading zero if needed
            const year = String(currentDate.getFullYear()).slice(-2); // Get last two digits of the year

            // Get the hours, minutes, and seconds
            const hours = String(currentDate.getHours()).padStart(2, '0'); // Get hours with leading zero if needed
            const minutes = String(currentDate.getMinutes()).padStart(2, '0'); // Get minutes with leading zero if needed
            const seconds = String(currentDate.getSeconds()).padStart(2, '0'); // Get seconds with leading zero if needed

            // Create the DD MM YY format
            const formattedDate = `${day} ${month} ${year}`;

            // Create the time format (HH:MM:SS)
            const formattedTime = `${hours}:${minutes}:${seconds}`;

            // Combine date and time
            const dateTime = `${formattedDate} ${formattedTime}`;



            const fname = $("#fullname").val();
            const text =  $("#text").val();
            const phone = $("#number").val();
            
            const message = `Date: ${dateTime} \n----------------------------\n\nFullname: ${fname}\nPhone: ${phone} \nMessage: ${text} `;

            $.ajax({
                type: 'POST',
                url: `https://api.telegram.org/bot${token}/sendMessage`,
                data: {
                    chat_id: chatId,
                    text: message,
                    parse_mode: 'html',
                },
                success: function (res) {
                    console.debug(res);
                    Swal.fire({
                        title: "Message send success!",
                        text: `Thank you ${fname} !`,
                        icon: "success"
                    });
                    $('#response').text('Message sent');
                    $("#fullname").val("");
                    $("#text").val("");
                    $("#number").val("");
                },
                error: function (error) {
                    console.error(error);
                    alert("error failed");
                }
            });
        }
    });
</script>
</html>